package com.sky.ioc.controller.organzation;

import com.sky.ioc.service.organization.CompanyService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "组织管理--公司")
@Slf4j
@RestController
@RequestMapping("/organzation/company")
public class CompanyController {

    @Autowired
    CompanyService companyService;

    @ApiOperation("获取公司详情")
    @GetMapping(value = "/{company_id}")
    public ReturnMsg getJobList(@PathVariable Integer company_id) {
        return companyService.getCompany(company_id);
    }
}
