package com.sky.ioc.entity.domain.organization;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Company {

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String companyName;//公司名')
    private String logo ;//商标')
    private String abbreviation;//公司简称')
    private Integer code;//统一社会信用代码')
    private String registeredAddress;//注册地址')
    private String businessAddress;//经营地址')
    private String legalPersonName;//'法人姓名')
    private String contactPerson;//联系人')
    private String contactInformation;//联系人电话')
    private String companyCode;//公司编码')
    private Integer staffSize;//'编制人数')
    private Integer onGuardSize;//在岗人数')
    private Integer parentCompany;//'上级公司id'
    private Integer areaId;//区域id')
    private Integer officeId ;//'部门id')
}
