package com.sky.ioc.entity.domain.organization;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Department {
    @TableId(type = IdType.AUTO)
    private Integer id;
    private Integer company_id;//公司id')
    private String name;//部门名')
    private String fullName;//怕重名 部门全名')
    private String principal;//负责人')
    private String liaisonOfficer;//接口人')
    private Integer onGuard;//在岗人数')
    private Integer freelanceStaff;//自由员工')
    private Integer cooperationStaff;//协作员工')
    private Integer thirdpartyStaff;//第三方员工')
    private String censure;//职责')
    private String code;//部门编码')
    private Integer sort;//部门排序')
    private String oriId ;//部门id')
    private String parentId;//部门上级id')
}
